package org.maachang.comet.net.ssl ;

/**
 * SSLクローズ例外.
 *
 * @version 2008/11/11
 * @author  masahito suzuki
 * @since MaachangComent 1.29
 */
public class CloseSslException extends RuntimeException {
	private static final long serialVersionUID = -2231559940568921889L;
	/**
     * コンストラクタ.
     */
    public CloseSslException() {
        super() ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param message メッセージ.
     */
    public CloseSslException( String message ) {
        super( message ) ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param e Exception.
     */
    public CloseSslException( Exception e ) {
        super( e ) ;
    }
    /**
     * コンストラクタ.
     * <BR><BR>
     * @param message メッセージ.
     * @param e Exception.
     */
    public CloseSslException( String message,Exception e ) {
        super( message,e ) ;
    }
}

